Bug 194041 - devel/protobuf: broken tests build
Summary: devel/protobuf: broken tests build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vanilla I. Shu
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2014-09-30 14:38 UTC by Jan Beich
Modified: 2015-01-07 14:34 UTC (History)
0 users

See Also:


Attachments
fix (308 bytes, patch)
2014-09-30 14:38 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-09-30 14:38:49 UTC
Created attachment 147846 [details]
fix

$ make tests
...
google/protobuf/testing/zcgzip.cc:54:25: error: unknown type name 'STDOUT_FILENO'
  FileOutputStream fout(STDOUT_FILENO);
                        ^
google/protobuf/testing/zcgzip.cc:54:24: warning: parentheses were disambiguated as
      a function declaration [-Wvexing-parse]
  FileOutputStream fout(STDOUT_FILENO);
                       ^~~~~~~~~~~~~~~
google/protobuf/testing/zcgzip.cc:54:25: note: add a pair of parentheses to declare
      a variable
  FileOutputStream fout(STDOUT_FILENO);
                        ^
                        (             )
google/protobuf/testing/zcgzip.cc:68:20: error: use of undeclared identifier
      'STDIN_FILENO'
    readlen = read(STDIN_FILENO, outptr, outlen);
                   ^
1 warning and 2 errors generated.
Comment 1 Bugzilla Automation freebsd_committer 2014-09-30 14:38:49 UTC
Auto-assigned to maintainer vanilla@FreeBSD.org
Comment 2 Vanilla I. Shu freebsd_committer 2014-10-01 08:45:29 UTC
Committed, thanks.
Comment 3 commit-hook freebsd_committer 2014-10-01 08:46:17 UTC
A commit references this bug:

Author: vanilla
Date: Wed Oct  1 08:45:21 UTC 2014
New revision: 369705
URL: https://svnweb.freebsd.org/changeset/ports/369705

Log:
  1: fix tests build
  2: switch to install-strip.
  3: fix pkg-plist to chase pkg-1.3.8.
  4: drop maintainer bit.

  PR:		ports/194041 ports/194042
  Submitted by:	Jan Beich jbeich at vfemail dot net

Changes:
  head/devel/protobuf/Makefile
  head/devel/protobuf/files/
  head/devel/protobuf/files/patch-src__google__protobuf__testing__zcgunzip.cc
  head/devel/protobuf/files/patch-src__google__protobuf__testing__zcgzip.cc
  head/devel/protobuf/pkg-plist